Subject: Re: genphy_read_status() vs. 1000bT Pause capability

From: Benjamin Herrenschmidt <[email-masked]>
Date: Wed, 29 Mar 2017 07:32:34 +1100

On Tue, 2017-03-28 at 12:31 +0100, Russell King - ARM Linux wrote:
> > Interesting. I tried and it worked :-) Could be something funny in
> > the config of our switches.
> 
> It could be that the switch supports pause frames, but it's not
> advertised because there's some corner cases that it doesn't work.  I
> know that SolidRun have run into switches that corrupt ethernet frames
> when pause is used.  (I don't know off hand which they are, but I could
> ask the question.)

I think this is Cisco gear, I'll check with our lab guy today. In the
meantime I'll test my driver back to back with some other machines, I
should find something that does pause eventually :-)

It's handy when you have a gigabit MAC on a 400Mhz ARM9 to be able to
throttle the peer despite all the other problems with Pause :-)

Cheers,
Ben.